com.amazonaws.services.codedeploy.model

## Class GenericRevisionInfo

- java.lang.Object
- - com.amazonaws.services.codedeploy.model.GenericRevisionInfo

All Implemented Interfaces:
  Serializable, Cloneable

    public class GenericRevisionInfo
    extends Object
    implements Serializable, Cloneable

Information about an application revision.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GenericRevisionInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GenericRevisionInfo` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getDeploymentGroups()` The deployment groups for which this is the current target revision.
`String` `getDescription()` A comment about the revision.
`Date` `getFirstUsedTime()` When the revision was first used by AWS CodeDeploy.
`Date` `getLastUsedTime()` When the revision was last used by AWS CodeDeploy.
`Date` `getRegisterTime()` When the revision was registered with AWS CodeDeploy.
`int` `hashCode()`
`void` `setDeploymentGroups(Collection<String> deploymentGroups)` The deployment groups for which this is the current target revision.
`void` `setDescription(String description)` A comment about the revision.
`void` `setFirstUsedTime(Date firstUsedTime)` When the revision was first used by AWS CodeDeploy.
`void` `setLastUsedTime(Date lastUsedTime)` When the revision was last used by AWS CodeDeploy.
`void` `setRegisterTime(Date registerTime)` When the revision was registered with AWS CodeDeploy.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GenericRevisionInfo` `withDeploymentGroups(Collection<String> deploymentGroups)` The deployment groups for which this is the current target revision.
`GenericRevisionInfo` `withDeploymentGroups(String... deploymentGroups)` The deployment groups for which this is the current target revision.
`GenericRevisionInfo` `withDescription(String description)` A comment about the revision.
`GenericRevisionInfo` `withFirstUsedTime(Date firstUsedTime)` When the revision was first used by AWS CodeDeploy.
`GenericRevisionInfo` `withLastUsedTime(Date lastUsedTime)` When the revision was last used by AWS CodeDeploy.
`GenericRevisionInfo` `withRegisterTime(Date registerTime)` When the revision was registered with AWS CodeDeploy.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GenericRevisionInfo

    public GenericRevisionInfo()

### Method Detail

#### setDescription

    public void setDescription(String description)

A comment about the revision.

Parameters:
  `description` - A comment about the revision.

#### getDescription

    public String getDescription()

A comment about the revision.

Returns:
  A comment about the revision.

#### withDescription

    public GenericRevisionInfo withDescription(String description)

A comment about the revision.

Parameters:
  `description` - A comment about the revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getDeploymentGroups

    public List<String> getDeploymentGroups()

The deployment groups for which this is the current target revision.

Returns:
  The deployment groups for which this is the current target revision.

#### setDeploymentGroups

    public void setDeploymentGroups(Collection<String> deploymentGroups)

The deployment groups for which this is the current target revision.

Parameters:
  `deploymentGroups` - The deployment groups for which this is the current target revision.

#### withDeploymentGroups

    public GenericRevisionInfo withDeploymentGroups(String... deploymentGroups)

The deployment groups for which this is the current target revision.

NOTE: This method appends the values to the existing list (if any). Use `setDeploymentGroups(java.util.Collection)` or `withDeploymentGroups(java.util.Collection)` if you want to override the existing values.

Parameters:
  `deploymentGroups` - The deployment groups for which this is the current target revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withDeploymentGroups

    public GenericRevisionInfo withDeploymentGroups(Collection<String> deploymentGroups)

The deployment groups for which this is the current target revision.

Parameters:
  `deploymentGroups` - The deployment groups for which this is the current target revision.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFirstUsedTime

    public void setFirstUsedTime(Date firstUsedTime)

When the revision was first used by AWS CodeDeploy.

Parameters:
  `firstUsedTime` - When the revision was first used by AWS CodeDeploy.

#### getFirstUsedTime

    public Date getFirstUsedTime()

When the revision was first used by AWS CodeDeploy.

Returns:
  When the revision was first used by AWS CodeDeploy.

#### withFirstUsedTime

    public GenericRevisionInfo withFirstUsedTime(Date firstUsedTime)

When the revision was first used by AWS CodeDeploy.

Parameters:
  `firstUsedTime` - When the revision was first used by AWS CodeDeploy.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastUsedTime

    public void setLastUsedTime(Date lastUsedTime)

When the revision was last used by AWS CodeDeploy.

Parameters:
  `lastUsedTime` - When the revision was last used by AWS CodeDeploy.

#### getLastUsedTime

    public Date getLastUsedTime()

When the revision was last used by AWS CodeDeploy.

Returns:
  When the revision was last used by AWS CodeDeploy.

#### withLastUsedTime

    public GenericRevisionInfo withLastUsedTime(Date lastUsedTime)

When the revision was last used by AWS CodeDeploy.

Parameters:
  `lastUsedTime` - When the revision was last used by AWS CodeDeploy.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRegisterTime

    public void setRegisterTime(Date registerTime)

When the revision was registered with AWS CodeDeploy.

Parameters:
  `registerTime` - When the revision was registered with AWS CodeDeploy.

#### getRegisterTime

    public Date getRegisterTime()

When the revision was registered with AWS CodeDeploy.

Returns:
  When the revision was registered with AWS CodeDeploy.

#### withRegisterTime

    public GenericRevisionInfo withRegisterTime(Date registerTime)

When the revision was registered with AWS CodeDeploy.

Parameters:
  `registerTime` - When the revision was registered with AWS CodeDeploy.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GenericRevisionInfo clone()

Overrides:
  `clone` in class `Object`